/* Structured VM: default -*- CSS -*- style for Libtextstyle.

   Copyright (C) 2020 Luca Saiu
   Written by Luca Saiu

   This file is part of the Structured language implementation, distributed as
   an example along with GNU Jitter under the same license.

   GNU Jitter is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   GNU Jitter is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GNU Jitter.  If not, see <http://www.gnu.org/licenses/>. */


/* Introduction.
 * ************************************************************************** */

/* This is a default style for the Structured VM, reasonable for terminals with
   a black background.  It looks much better with at least 256 colors, which is
   supported in practice by most modern terminals even when they do not set the
   TERM variable accordingly: the user is invited to try
     TERM=xterm-256color
   . */




/* StructuredVM routines.
 * ************************************************************************** */

.structuredvm-comment      { color: brown;
                             font-style: italic; }
.structuredvm-punctuation  { color: white;  }
.structuredvm-instruction  { color: cyan;
                             font-weight: bold; }
.structuredvm-label        { color: yellow;
                             font-style: italic;
                             font-weight: bold; }
.structuredvm-register     { color: green;
                             font-style: italic;
                             font-weight: bold; }
.structuredvm-number       { color: lightgreen; }




/* Native-code disassemblying of StructuredVM routines.
 * ************************************************************************** */

.structuredvm-memory-address          { color: yellow;
                                        font-style: italic; }
.structuredvm-native-instruction-hex  { color: cyan; }
.structuredvm-disassembly             { color: green;
                                        font-style: italic; }




/* Interaction and messages.
 * ************************************************************************** */

.structuredvm-warning  { background-color: red;
                         color: black;
                         font-style: italic;
                         text-decoration: underline; }




/* Profiling.
 * ************************************************************************** */

.structuredvm-profile-instruction      { color: cyan;
                                         font-weight: bold; }
.structuredvm-profile-execution-count  { color: brown; }
.structuredvm-profile-run-time         { color: lightgreen;
                                         font-style: italic; }
.structuredvm-profile-time-ratio       { color: gray;
                                         font-weight: bold; }
